---
type: api
title: Get trust relationship
description: Retrieves information about a trust relationship.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-get-trust-relationship
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-get-trust-relationship
products:
  - Elastic Cloud Enterprise
---

# Get trust relationship

## Paths

- `GET` `/platform/configuration/trust-relationships/{trust_relationship_id}`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#apikey)

#### Path Parameters

- `trust_relationship_id` (string)
  Identifier for the trust relationship

## Description

Retrieves information about a trust relationship.

## Query String Parameters

- `include_certificate` (boolean · default: false)
  Whether to include the public CA certificates in the response.

## Responses

#### `200`

The trust relationship info response

`application/json`

- `id` (string)
  The id of the trust relationship
- `name` (string)
  The name of the trust relationship
- `trust_by_default` (boolean)
  If this relationship is trusted by default by all deployments in the current environment.
- `account_ids` ([] string)
  The ID of the accounts trusted by this relationship.
- `public_ca_cert` (string)
  The public CA certificate of the environment to trust
- `local` (boolean)
  If this is the trust relationship for the local environment
- `installation_id` (string)
  The installation ID of the environment to trust
- `last_modified` (string)
  The most recent time the trust relationship was changed (ISO format in UTC)
##### Response Headers

- `x-cloud-resource-version` (string)
  The resource version, which is used to avoid update conflicts with concurrent operations
- `x-cloud-resource-created` (string)
  The date-time when the resource was created (ISO format relative to UTC)
- `x-cloud-resource-last-modified` (string)
  The date-time when the resource was last modified (ISO format relative to UTC)

#### `401`

You are not authorized to perform this action.

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
#### `404`

The trust relationship specified by {trust_relationship_id} cannot be found. (code: `trust_relationships.not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
GET /platform/configuration/trust-relationships/{trust_relationship_id}
```

#### curl

```curl
curl -X GET "/platform/configuration/trust-relationships/{trust_relationship_id}"
```

